<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Dossier: $current_mbox: Erreur: Echec $action_text de message";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      $action_text = $lang->$action;
      $s = $plural ? 's' : '';
      return "Dossier: $current_mbox: $num message$s $action_text";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      $action_text = $lang->$action;
      $s = $plural ? 's' : '';
      return "Dossier: $current_mbox: $num message$s $action_text sur $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
     global $this_client;
     if ($this_client == '') { $this_client = new WebClient; }
     
     if ($this_client->lynx) {
       return "Page $page parmi $page_count";
     } else {
       $len = strlen($page_count);
       return "[Page <input type=\"text\" name=\"page\" value=\"$page\" size=$len> sur $page_count]";
     }
   }
   
   function overview ($begin, $end, $nummsgs) {
     if ($nummsgs == 0) {
       return "0 messages";
     } else if ($nummsgs == 1) {
       return "1 message";
     } else {
       return "$begin - $end sur $nummsgs messages";
     }
   }
   
}


$lang = new MailboxLocaleLang;
require('./locale/fr/openwin.lang');

$lang->delete_link = 'Supprimer';
$lang->undelete_link = 'Restaurer';
$lang->move_link = 'Déplacer';
$lang->copy_link = 'Copier';
$lang->selected_mail = 'la sélection';

$lang->sort_by_label =  'Classement par';

$lang->date_label = 'Date';
$lang->from_label = 'De';
$lang->subject_label = 'Objet';
$lang->size_label = 'Taille';
$lang->to_label = 'À';

$lang->select_all = 'Tout sélectionner';
$lang->select_none = 'Annuler la sélection';
$lang->hide_deleted = 'Masquer les messages effacés';
$lang->show_deleted = 'Montrer les messages effacés';
$lang->empty_trash = 'Vider la corbeille';

$lang->no_subject = '[Pas d\'objet]';
$lang->undisclosed_recipients = 'Destinataires inconnus';
$lang->mailbox = 'Dossier';

$lang->message = 'Message';
$lang->messages = 'Messages';

$lang->deletion = 'Suppression';
$lang->deleted = 'supprimé';
$lang->undeletion = 'Restauration';
$lang->undeleted = 'restauré';
$lang->move = 'Déplacement';
$lang->moved = 'déplacé';
$lang->copy = 'Copie';
$lang->copied = 'copié';
$lang->expunge = 'Purge';
$lang->expunged = 'purgé';
$lang->hiding_deleted = 'Messages supprimés cachés';
$lang->showing_deleted = 'Messages supprimés visibles';
$lang->deleted_summary = 'Message(s) supprimé(s) absent(s) de la liste';
$lang->empty_mailbox = 'Pas de nouvelles, bonne nouvelle.';
$lang->no_messages_selected = "Vous devez d\'abord selectionner au moins un message.";

$lang->reverse_sort = 'inverse l\'ordre de tri de la colonne sélectionnée';

$lang->refresh = 'Récupérer les nouveaux messages';
$lang->alert_really_delete = 'Êtes vous sûr de vouloir détruire DÉFINITIVEMENT ces messages ?';
$lang->first_page = 'première page';
$lang->prev_page = 'page précédente';
$lang->next_page = 'page suivante';
$lang->last_page = 'dernière page';
$lang->no_mailbox_selected = 'Vous devez selectionner un dossier de destination';
?>
